### Method

# AppStream Metadata get_component

#### Declaration [src]

    AsComponent*
    as_metadata_get_component (
      AsMetadata* metad
    )

#### Description [src]

Gets the `AsComponent` which has been parsed from the XML. If the AppStream XML contained multiple components, return the last component that has been parsed.

#### Return value

Type: `AsComponent`

An `AsComponent` or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.